Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## gudusoft.gsqlparser.nodes.mdx
Enum EMdxConstruct

    java.lang.Object
      java.lang.Enum<EMdxConstruct>
          gudusoft.gsqlparser.nodes.mdx.EMdxConstruct

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EMdxConstruct>

    public enum EMdxConstruct

extends java.lang.Enum<EMdxConstruct>

Enum Constant Summary
`Expression`
`Script`
`Statement`
`Unknown`

Method Summary
`static EMdxConstruct` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EMdxConstruct[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Unknown

    public static final EMdxConstruct Unknown

### Expression

    public static final EMdxConstruct Expression

### Statement

    public static final EMdxConstruct Statement

### Script

    public static final EMdxConstruct Script

Method Detail

### values

    public static final EMdxConstruct[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(EMdxConstruct c : EMdxConstruct.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static EMdxConstruct valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD